<style>
.forceio_ct div{
    word-break: break-word;
}
.github_ct{
    text-align: center;
    display: flex;
    justify-content: center;
    margin-top: 68px;
    font-size: 19px;
}
.github_ct a{
    display: flex;
    width: 143px;
    height: 43px;
    justify-content: center;
    align-items: center;
    border: 1px solid #589DDA;
    color: #fff;
    background-color: #589DDA;
}
.github_ct a:hover{
    background-color: #03A9F4;
    color: #f4f6f7;
    border: 1px solid #589DDA;
}
</style>
<template>
    <div class="forceio_ct">
        <!-- force_slider_start -->
        <div class="force_slider"  v-if="lang_key == 'cn'">
            <div class="force_slider_text_ct">
                <div class="force_slider_logo"></div>
                <div class="force_slider_title_txt">
                    可定制的区块链服务框架，基于EOSIO，高效、开放、安全、弹性的区块链服务， 为开发者降低区块链技术与应用门槛，打造可信的服务
                </div>
            </div>
            <div class="github_ct">
                <a href="https://github.com/eosforce/FORCEIO" target="_blank">github</a>
            </div>
        </div>
        <!-- force_slider_end -->
        <!-- force_slider_start -->
        <div class="force_slider"  v-if="lang_key == 'en'">
            <div class="force_slider_text_ct">
                <div class="force_slider_logo force_slider_logo_en"></div>
                <div class="force_slider_title_txt">
                    A customizable blockchain service framework, based on EOSIO, provides efficient, open, secure and scalable blockchain services. It lowers the threshold of blockchain technology and application for developers and creates a trustworthy service value channel.
                </div>
            </div>
            <div class="github_ct">
                <a href="https://github.com/eosforce/FORCEIO" target="_blank">github</a>
            </div>
        </div>
        <!-- force_slider_end -->
        <!-- force_slider_start -->
        <div class="force_slider"  v-if="lang_key == 'kr'">
            <div class="force_slider_text_ct">
                <div class="force_slider_logo force_slider_logo_kr"></div>
                <div class="force_slider_title_txt">
                    EOSIO를 기반으로 하는 사용자 정의 가능한 블록체인 서비스 프레임워크는 효율적이고 개방적이며 안전하고 유연한 블록체인 서비스를 제공하여 개발자에게 블록체인 기술 및 Dapp의 진입장벽 낮줘주고 개발자가 신뢰할 수있고 퀄리티 높은 서비스 채널을 만들 수 있도록 합니다.
                </div>
            </div>
            <div class="github_ct">
                <a href="https://github.com/eosforce/FORCEIO" target="_blank">github</a>
            </div>
        </div>
        <!-- force_slider_end -->
        <!-- feature_ct_start -->
        <div class="feature_ct" v-if="lang_key == 'cn'">
            <h2 class="feature_title">区块链服务的特性</h2>
            <div class="feature_list_ct">
                <div class="feature_row">
                    <div class="feature_item">
                        <div class="fi_icon fi1_icon"></div>
                        <h3 class="fi_title">共识机制</h3>
                        <div class="fi_des">
                            共识机制决定了区块链的数据一致性的实现方式和适用场景，
                            FORCEIO 目前支持EOSIO原生共识机制的同时，未来也将支
                            持用户自定义的共识插件和背书插件，方便用户根据自身业
                            务需要进行灵活选择和切换。
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi2_icon"></div>
                        <h3 class="fi_title">合约管理</h3>
                        <div class="fi_des">
                            FORCEIO 平台提供完备的智能合约集成开发调试环境，大大缩短了用户开发周期并减轻了开发压力，以更便捷的方式辅助软件开发。与其它平台不同，FORCEIO 平台不仅可以对智能合约进行词法分析、语法检查，还专门提供了智能合约安全检查服务，对合规性和安全性进行校验。
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi3_icon"></div>
                        <h3 class="fi_title">资源模型</h3>
                        <div class="fi_des">
                            FORCEIO 将支持目前主流的区块链资源模型，如抵押模型、
                            手续费模型等。开发者可以综合自身业务形态选择合适的资
                            源模型，快速完成区块链的搭建。
                        </div>
                    </div>
                </div>
                <div class="feature_row">
                    <div class="feature_item">
                        <div class="fi_icon fi4_icon"></div>
                        <h3 class="fi_title">多链支持</h3>
                        <div class="fi_des">
                            一条逻辑上的区块链是集合了特定组织、特定节点的私有区块
                            链系统，不同的组织间可以建立不同的逻辑区块链，链间实现
                            数据隔离，智能合约可以部署在不同的逻辑区块链之上。
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi5_icon"></div>
                        <h3 class="fi_title">开放机制</h3>
                        <div class="fi_des">
                            FORCEIO 是一个开放的服务平台，在支持超级账本 Fabric 
                            的同时，我们也支持 BCOS，TrustSQL 等优秀合作伙伴的
                            区块链底层平台。我们在未来将支持 R3 Corda，企业以太
                            坊等区块链技术，并积极关注区块链前沿科技的发展。
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi6_icon"></div>
                        <h3 class="fi_title">开发者工具</h3>
                        <div class="fi_des">
                            FORCEIO 提供包含钱包、浏览器、开发者框架在内的一系
                            列工具。方便开发者更高效的对区块链进行开发、维护及日
                            常监控，同时为用户提供更便捷的区块链服务。
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- feature_ct_end -->
        <!-- feature_ct_start -->
        <div class="feature_ct" v-if="lang_key == 'en'">
            <h2 class="feature_title">Features of blockchain service</h2>
            <div class="feature_list_ct">
                <div class="feature_row">
                    <div class="feature_item">
                        <div class="fi_icon fi1_icon"></div>
                        <h3 class="fi_title">Consensus Mechanism</h3>
                        <div class="fi_des">
                            Consensus mechanism determines the implementation method and applicable scenario of blockchain’s data consistency. FORCEIO supports not only the native consensus mechanism of EOSIO now, but also the user-customized consensus and endorsement plug-ins in the future. It is convenient for users to choose and switch flexibly according to their own business needs.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi2_icon"></div>
                        <h3 class="fi_title">Contract Management</h3>
                        <div class="fi_des">
                            FORCEIO platform provides a complete integrated development and debugging environment for smart contracts, which greatly shortens the development cycle and reduces developers’ pressure, and assists software development in a more convenient way. Unlike other platforms, FORCEIO platform can not only perform lexical analysis and syntax checking on smart contracts, but also provide a security checking service to verify compliance and security of smart contracts.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi3_icon"></div>
                        <h3 class="fi_title">Resource Model</h3>
                        <div class="fi_des">
                            FORCEIO will support the current mainstream blockchain resource models, such as the mortgage model, fee model, etc. Developers can select appropriate resource models based on their own business forms and complete the construction of blockchain quickly.
                        </div>
                    </div>
                </div>
                <div class="feature_row">
                    <div class="feature_item">
                        <div class="fi_icon fi4_icon"></div>
                        <h3 class="fi_title">Multi-chain Support</h3>
                        <div class="fi_des">
                            A logical blockchain is a private blockchain system that integrates specific organizations and nodes. Different organizations can establish different logical blockchains and data isolation between chains can be realized. Smart contracts can be deployed on different logical blockchains.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi5_icon"></div>
                        <h3 class="fi_title">Open Mechanism</h3>
                        <div class="fi_des">
                            FORCEIO is an open platform that supports EOSIO as well as the underlying blockchain platforms of BTC, ETH, BCH and other great partners. FORCEIO actively focuses on the development of cutting-edge blockchain technology, and is ready to support excellent blockchain technologies in the future.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi6_icon"></div>
                        <h3 class="fi_title">Developer Tools</h3>
                        <div class="fi_des">
                            FORCEIO offers a range of tools including the wallet, block explorer and developer framework. It is convenient for developers to develop, maintain and monitor blockchain in a more efficient way, and provide users with more convenient blockchain services.
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- feature_ct_end -->
        <!-- feature_ct_start -->
        <div class="feature_ct" v-if="lang_key == 'kr'">
            <h2 class="feature_title">블록체인 서비스 특성</h2>
            <div class="feature_list_ct">
                <div class="feature_row">
                    <div class="feature_item">
                        <div class="fi_icon fi1_icon"></div>
                        <h3 class="fi_title">컨센서스 메커니즘</h3>
                        <div class="fi_des">
                            컨센서스 메커니즘은 블록체인의 데이터 일관성을 구현하는 방식과 적용 케이스를 결정합니다. 현재 FORCEIO는 EOSIO의 기본 컨센서스 메커니즘을 지원하고 있으며, 향후에는 사용자 정의 컨센서스 플러그인 및 배서 플러그인을 지원하여 사용자가 자신의 비즈니스 요구 사항에 따라 편리하게 선택하고 유연하게 전환해가며 사용할 수 있도록 할 것입니다.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi2_icon"></div>
                        <h3 class="fi_title">컨트랙트 관리</h3>
                        <div class="fi_des">
                            FORCEIO 플랫폼은 완벽한 스마트 컨트랙트 통합 개발 및 디버깅 환경을 제공하여 사용자 개발 주기를 대폭 단축하고 개발 과정의 번거로움을 줄이는 등 소프트웨어 개발을 보다 편리하게 지원합니다. 다른 플랫폼과 달리 FORCEIO 플랫폼은 스마트 컨트랙트에 대한 어법 분석 및 문법 검사를 제공할뿐만 아니라 컴플라이언스 및 보안을 확인하기 위한 스마트 컨트랙트 보안 검사 서비스를 제공합니다.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi3_icon"></div>
                        <h3 class="fi_title">자원 모델</h3>
                        <div class="fi_des">
                            FORCEIO는 스태이킹 모델 및 수수료 모델과 같은 현재 메이저 블록체인 리소스 모델을 지원합니다. 개발자는 자신의 비즈니스 형태에 적절한 자원 모델을 선택하고 블록체인 구성을 빠르게 끝낼 수 있습니다.
                        </div>
                    </div>
                </div>
                <div class="feature_row">
                    <div class="feature_item">
                        <div class="fi_icon fi4_icon"></div>
                        <h3 class="fi_title">멀티 체인 지원</h3>
                        <div class="fi_des">
                            로직 블록체인은 특정 조직과 특정 노드을 포함하는 사유 블록체인 시스템으로, 서로 다른 조직 간에 각각 다른 로직 블록체인을 만들 수 있습니다. 이를 통해 체인 간에 데이터를 격리시키고 스마트 컨트랙트를 서로 다른 로직 블록체인 상에 배치할 수 있습니다.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi5_icon"></div>
                        <h3 class="fi_title">개방적 메커니즘</h3>
                        <div class="fi_des">
                            FORCEIO는 개방형 서비스 플랫폼으로, EOSIO를 지원하는 동시에 BTC, ETH 및 BCH와 같은 우수한 파트너의 블록체인 플랫폼도 지원할 예정입니다. 또한 앞으로도 적극적으로 선도적인 블록체인 기술 개발에 관심을 갖고 그에 맞춰 미래의 우수한 블록체인 기술 지원에 참여할 수 있도록 동참할 것입니다.
                        </div>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi6_icon"></div>
                        <h3 class="fi_title">개발자 도구</h3>
                        <div class="fi_des">
                            FORCEIO는 지갑, 브라우저, 개발자 프레임 워크 등을 포함한 다양한 도구를 제공합니다.  이를 통해 개발자에게 보다 효율적으로 블록체인을 개발, 유지 및 모니터링 할 수 있게 하는 동시에 사용자에게는 보다 편리한 블록체인 서비스를 제공합니다.
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- feature_ct_end -->

        <!-- feature_ct_start -->
        <div class="feature_ct app_feature_ct" v-if="lang_key == 'cn'">
            <h2 class="feature_title">应用案例</h2>
            <div class="feature_list_ct">
                <div class="feature_row feature_row_4">
                    <div class="feature_item">
                        <div class="fi_icon fi7_icon"></div>
                        <h3 class="fi_title">运维自动化</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi8_icon"></div>
                        <h3 class="fi_title">去中心化交易所</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi9_icon"></div>
                        <h3 class="fi_title">区块浏览器</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi10_icon"></div>
                        <h3 class="fi_title">链上钱包</h3>
                    </div>
                </div>
            </div>
        </div>
        <!-- feature_ct_end -->
        <!-- feature_ct_start -->
        <div class="feature_ct app_feature_ct" v-if="lang_key == 'en'">
            <h2 class="feature_title">Use cases</h2>
            <div class="feature_list_ct">
                <div class="feature_row feature_row_4">
                    <div class="feature_item">
                        <div class="fi_icon fi7_icon"></div>
                        <h3 class="fi_title">Operation automation</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi8_icon"></div>
                        <h3 class="fi_title">Decentralized exchange</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi9_icon"></div>
                        <h3 class="fi_title">Block explorer</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi10_icon"></div>
                        <h3 class="fi_title">Wallet on blockchain</h3>
                    </div>
                </div>
            </div>
        </div>
        <!-- feature_ct_end -->
        <!-- feature_ct_start -->
        <div class="feature_ct app_feature_ct" v-if="lang_key == 'kr'">
            <h2 class="feature_title">응용 사례</h2>
            <div class="feature_list_ct">
                <div class="feature_row feature_row_4">
                    <div class="feature_item">
                        <div class="fi_icon fi7_icon"></div>
                        <h3 class="fi_title">운영 및 유지 보수 자동화</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi8_icon"></div>
                        <h3 class="fi_title">탈중앙화 거래소</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi9_icon"></div>
                        <h3 class="fi_title">블록 브라우저</h3>
                    </div>

                    <div class="feature_item">
                        <div class="fi_icon fi10_icon"></div>
                        <h3 class="fi_title">월렛</h3>
                    </div>
                </div>
            </div>
        </div>
        <!-- feature_ct_end -->
        <!-- touch_us_start -->
        <div class="feature_ct app_feature_ct touch_ct"  v-if="lang_key == 'cn'">
            <h2 class="feature_title">联系我们</h2>
            <div class="touch_list_ct">
                <a target="_blank" class="touch_icon telegram" href="https://t.me/forceio"></a>
                <a target="_blank" class="touch_icon twitter" href="https://twitter.com/eosforce"></a>
            </div>
        </div>
        <!-- touch_us_end -->
        <!-- touch_us_start -->
        <div class="feature_ct app_feature_ct touch_ct"  v-if="lang_key == 'en'">
            <h2 class="feature_title">Contact us</h2>
            <div class="touch_list_ct">
                <a target="_blank" class="touch_icon telegram" href="https://t.me/forceio"></a>
                <a target="_blank" class="touch_icon twitter" href="https://twitter.com/eosforce"></a>
            </div>
        </div>
        <!-- touch_us_end -->
        <!-- touch_us_start -->
        <div class="feature_ct app_feature_ct touch_ct"  v-if="lang_key == 'kr'">
            <h2 class="feature_title">문의하기</h2>
            <div class="touch_list_ct">
                <a target="_blank" class="touch_icon telegram" href="https://t.me/forceio"></a>
                <a target="_blank" class="touch_icon twitter" href="https://twitter.com/eosforce"></a>
            </div>
        </div>
        <!-- touch_us_end -->
        <div class="style_load_img"></div>
    </div>
</template>
<script>
import { lang, lang_key } from '../../data/lang.js'
export default {
    data () {
        return {
            lang_key
        }
    },
    methods: {

    }
}
</script>